Google Web Toolkit (Beta)
Search this site:

# Interface HasHTML

public interface HasHTML
extends HasText
// Implemented by `TreeItem`, `RichTextArea`, `MenuItem`, `Hyperlink`, `HTML`, `DialogBox`, `CustomButton.Face`, `ButtonBase`
An object that implements this interface contains text, which can be set and retrieved using these methods. The object's text can be set either as HTML or as text.

## Methods

getHTML() | Gets this object's contents as HTML.
setHTML(String) | Sets this object's contents via HTML.

## Method Detail

### getHTML

public String getHTML()
Gets this object's contents as HTML.

#### Return Value

the object's HTML

### setHTML

public void setHTML(String html)
Sets this object's contents via HTML. Use care when setting an object's HTML; it is an easy way to expose script-based security problems. Consider using setText(String) whenever possible.

#### Parameters

html
  the object's new HTML